Bug 799793 - External Display not fully functional on mini DisplayPort of Integrated Intel graphics card
External Display not fully functional on mini DisplayPort of Integrated Intel...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-04 22:49 EST by anonymo29
Modified: 2012-11-14 10:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 10:18:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description anonymo29 2012-03-04 22:49:50 EST
Description of problem:
I have a Dell XPS laptop, which comes with a mini DisplayPort powered by an integrated Intel graphics card. Any external monitor connected to the mini DisplayPort reports that there is no sync. I have tried both Fedora 15 and 16 to no avail.

Note that this issue is different from the nVidia issues on the same laptop.


Version-Release number of selected component (if applicable):
Output of lspci for related graphics card:

00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09) (prog-if 00 [VGA controller])
        Subsystem: Dell Device 04b6
        Flags: bus master, fast devsel, latency 0, IRQ 52
        Memory at f1400000 (64-bit, non-prefetchable) [size=4M]
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 4000 [size=64]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: <access denied>
        Kernel driver in use: i915
        Kernel modules: i915
 

How reproducible:
Always


Steps to Reproduce:
1.  Connect any external monitor to a Dell XPS laptop with similar Intel graphics card (recent Dell XPS 17, 15, 15z or 14z) through the mini DisplayPort. Use a suitable mini DisplayPort to HDMI or DVI adapter.

2.  Power on the external monitor, then the laptop.

3.  Enable dual display from the display dialog box of system settings.
  
Actual results:
The external monitor shows the Fedora flash screen during power on. Once the system is fully started, the external monitor reports no sync. Only the laptop screen has a working display.

In system settings, the external monitor is recognised. I can drag a visible window off the laptop into an invisible display to the right. Such windows will then no longer be visible. But a screenshot will show the invisible display, along with any window that was dragged into it.


Expected results:
The external monitor should be fully functional with a visible display.


Additional info:
This exact same issue was reported for Ubuntu at:

    https://bugs.launchpad.net/ubuntu/+source/linux/+bug/838181

The issue has been marked resolved in the upstream.
Comment 1 Jarod Wilson 2012-03-05 10:37:49 EST
kernel-utils isn't a valid component for fedora, reassigning over to kernel.
Comment 2 anonymo29 2012-03-07 13:15:58 EST
Version-Release number of selected component (if applicable):
    kernel-3.2.5-3.fc16.x86_64
Comment 3 anonymo29 2012-03-13 16:52:29 EDT
Reproduced with Fedora 17 Alpha:
    kernel-3.3.0-0.rc3.git7.2.fc17.x86_64
Comment 4 Dave Jones 2012-03-22 13:08:57 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Dave Jones 2012-03-22 13:11:50 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 6 Dave Jones 2012-03-22 13:21:32 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 7 anonymo29 2012-03-25 23:10:52 EDT
Still reproduced after upgrading kernel to kernel-3.3.0-4.fc16.x86_64.
Comment 8 Dave Jones 2012-10-23 11:32:50 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 9 Justin M. Forbes 2012-11-14 10:18:00 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.